#
# Sample makefile for bash loadable builtin development
#
# Copyright (C) 2015-2022 Free Software Foundation, Inc.     

#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

PACKAGE = bash
VERSION = 5.2-release

PACKAGE_NAME = bash
PACKAGE_VERSION = 5.2-release

# Include some boilerplate Gnu makefile definitions.
prefix = /usr

exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = /usr/lib
infodir = /usr/share/info
includedir = ${prefix}/include

datarootdir = ${prefix}/share

loadablesdir = ${libdir}/bash
headersdir = $(includedir)/$(PACKAGE_NAME)

topdir = ../../../bash-5.2
BUILD_DIR = /u7/kx/RcL/system/branches/radix-1.9-226/app/bash/5.2/.i686-glibc/intel-pc32/build
srcdir = ../../../bash-5.2/examples/loadables
VPATH = ../../../bash-5.2/examples/loadables

# Support an alternate destination root directory for package building
DESTDIR =

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALLMODE= -m 0755


CC = /usr/bin/ccache /opt/toolchains/i686-PC-linux-glibc/1.9.8/bin/i686-radix-linux-gnu-gcc --sysroot=/u7/kx/RcL/system/branches/radix-1.9-226/dist/.i686-glibc/intel-pc32
RM = rm -f

SHELL = /bin/sh

host_os = linux-gnu
host_cpu = i686
host_vendor = radix

CFLAGS = -I. -I/u7/kx/RcL/system/branches/radix-1.9-226/dist/.i686-glibc/intel-pc32/usr/include -g -O3 -march=i686 -mtune=i686 -D__I686_GLIBC__=1 -D__HARDWARE__=0001 -DBONE_BLACK=0700 -DVISIONFIVE2=1B02 -DPOIN2=0C02 -DCI20=0901 -DDRA7XXEVM=0802 -DOKMX6Q_C=0603 -DP212=1401 -DKHADAS_VIM2=1503 -DSIFIVE_U740=1B01 -DCB2N=0200 -DTL2WK2_LSB=1901 -DODROID_C2=1204 -DORANGE_PI5=0F02 -DORANGE_PI5B=0F03 -DTL2SV2=1A00 -DORANGE_PP2E=0F01 -DWECHIP_TX6=1003 -DLEEZ_P710=0E02 -DMXV=1102 -DTL2WK2=1900 -DFFRK3288=0C01 -DKHADAS_EDGE=0E01 -DOMAP5UEVM=0801 -DINTEL_PC64M=0008 -DOKMX6DL_C=0602 -DRK3328_CC=0D01 -DEBOX_3350DX2=0010 -DNANOPI_NEO=0D02 -DREPKA_PI3=1004 -DORANGE_PL2=1002 -DROCK_5B=0F05 -DINTEL_PC32M=0004 -DQ201=1501 -DSK6ULL=0604 -DAT91S=0400 -DENYBOX_X2=1502 -DVESNIN_LSB=1801 -DCB3X=0301 -DTL2SV2_LSB=1A01 -DCB1N=0100 -DS824L_LSB=1701 -DKHADAS_VIM=1402 -DS824L=1700 -DBAIKAL_T1=0A01 -DVESNIN=1800 -DCB3N=0300 -DORANGE_PI5P=0F04 -DEBOX_3350DX2M=0011 -DNEXBOX_A95X=1202 -DCB1X=0101 -DINTEL_PC64=0002 -DBAIKAL_M1=0B01 -DINTEL_PC32=0001 -DNIT6Q=0601 -DM201=1101 -DP201=1201 -DCB2X=0201 -DORANGE_PP=1001 -DKHADAS_VIM3=1600
LOCAL_CFLAGS = 
DEFS = -DHAVE_CONFIG_H
LOCAL_DEFS = -DSHELL

CPPFLAGS = 

BASHINCDIR = ${topdir}/include

SUPPORT_SRC = $(topdir)/support/

LIBBUILD = ${BUILD_DIR}/lib

INTL_LIBSRC = ${topdir}/lib/intl
INTL_BUILDDIR = ${LIBBUILD}/intl
INTL_INC = 
LIBINTL_H = 

CCFLAGS = $(DEFS) $(LOCAL_DEFS) $(LOCAL_CFLAGS) $(CFLAGS)

#
# These values are generated for configure by ${topdir}/support/shobj-conf.
# If your system is not supported by that script, but includes facilities for
# dynamic loading of shared objects, please update the script and send the
# changes to bash-maintainers@gnu.org.
#
SHOBJ_CC = /usr/bin/ccache /opt/toolchains/i686-PC-linux-glibc/1.9.8/bin/i686-radix-linux-gnu-gcc --sysroot=/u7/kx/RcL/system/branches/radix-1.9-226/dist/.i686-glibc/intel-pc32
SHOBJ_CFLAGS = -fPIC
SHOBJ_LD = ${CC}
SHOBJ_LDFLAGS = -shared -Wl,-soname,$@ -L/u7/kx/RcL/system/branches/radix-1.9-226/dist/.i686-glibc/intel-pc32/lib -L/u7/kx/RcL/system/branches/radix-1.9-226/dist/.i686-glibc/intel-pc32/usr/lib
SHOBJ_XLDFLAGS = 
SHOBJ_LIBS = 
SHOBJ_STATUS = supported

INC = -I$(headersdir) -I$(headersdir)/include -I$(headersdir)/builtins

.c.o:
	$(SHOBJ_CC) $(SHOBJ_CFLAGS) $(CCFLAGS) $(INC) -c -o $@ $<
